#include <sys/os16.h>
#include <kernel/devices.h>
#include <sys/types.h>
#include <errno.h>
#include <kernel/memory.h>
#include <kernel/ibm_i86.h>
#include <kernel/proc.h>
#include <string.h>
#include <signal.h>
#include <kernel/k_libc.h>
#include <ctype.h>
#include <kernel/tty.h>
//----------------------------------------------------------------------
ssize_t
dev_dsk (pid_t pid, dev_t device, int rw, off_t offset, void *buffer,
         size_t size, int *eof)
{
    ssize_t n;
    int     dev_minor = minor (device);

    if (rw == DEV_READ)
      {
        n = dsk_read_bytes (dev_minor, offset, buffer, size);
      }
    else
      {
        n = dsk_write_bytes (dev_minor, offset, buffer, size);
      }
    return (n);
}
