#include <sys/os16.h>
#include <kernel/diag.h>
#include <kernel/k_libc.h>
#include <inttypes.h>
//----------------------------------------------------------------------
uint8_t
reverse_8_bit (uint8_t source)
{
    uint8_t destination = 0;
    uint8_t mask_src;
    uint8_t mask_dst;
    int      i;
    for (i = 0; i < 8; i++)
      {
        mask_src = 0x01 << i;
        mask_dst = 0x80 >> i;
        if (source & mask_src)
          {
            destination |= mask_dst;
          }
      }
    return (destination);
}
