.global __int16_00
;-----------------------------------------------------------------------
.text
;-----------------------------------------------------------------------
; INT 0x16 - keyboard - get keystroke
;       AH = 0x00
; Return:
;       AH = BIOS scan code
;       AL = ASCII character
;-----------------------------------------------------------------------
.align 2
__int16_00:
    enter #2, #0        ; 1 local variable.
    pushf
    cli
    pusha
    mov   ah, #0x00
    int   #0x16
    mov   -2[bp], ax    ; Save AX.
    popa
    popf
    mov   ax, -2[bp]    ; AX is the function return value.
    leave
    ret
