#include <kernel/ibm_i86.h>
#include <kernel/k_libc.h>
#include <sys/os16.h>
#include <sys/types.h>
#include <stdint.h>
//----------------------------------------------------------------------
int
con_char_read (void)
{
    int c;
    c = int16_01 ();
    //
    // Remove special keys that are not used: they have zero in the low
    // 8 bits, and something in the upper 8 bits.
    //
    if ((c & 0xFF00) && !(c & 0x00FF))
      {
        int16_00 ();    // Remove from buffer and return zero:
        return (0);     // no key.
      }
    //
    // A common key was pressed: filter only che low 8 bits.
    //
    c = c & 0x00FF;
    if (c == 0)
      {
        return (c);     // There is no key.
      }
    if (c == '\r')      // Convert `CR' to `LF'.
      {
        c = '\n';
      }
    int16_00 ();        // Remove the key from buffer and return.
    return (c);
}
