#include <kernel/memory.h>
#include <kernel/ibm_i86.h>
#include <sys/os16.h>
//----------------------------------------------------------------------
void
mem_copy (addr_t orig, addr_t dest, size_t size)
{
    segment_t seg_orig = orig / 16;
    offset_t  off_orig = orig % 16;
    segment_t seg_dest = dest / 16;
    offset_t  off_dest = dest % 16;
    ram_copy (seg_orig, off_orig, seg_dest, off_dest, size);
}
