#include <kernel/proc.h>
//----------------------------------------------------------------------
void
proc_sig_stop (pid_t pid, int sig)
{
    if (proc_sig_status (pid, sig))
      {
        if (proc_sig_ignore (pid, sig) && !(sig == SIGSTOP))
          {
            proc_sig_off (pid, sig);
          }
        else
          {
            proc_table[pid].status = PROC_SLEEPING;
            proc_table[pid].ret    = -sig;
            proc_sig_off (pid, sig);
          }
      }
}
