#include <sys/os16.h>
#include <kernel/tty.h>
//----------------------------------------------------------------------
void
tty_init (void)
{
    int page;   // console page.
    //
    // Console initialization: console pages correspond to the first
    // terminal items.
    //
    for (page = 0; page < TTYS_CONSOLE; page++)
      {
        tty_table[page].device = DEV_CONSOLE0 + page;
        tty_table[page].pgrp   = 0;
        tty_table[page].key    = 0;
        tty_table[page].status = TTY_OK;
      }
    //
    // Set video mode.
    //
    con_init ();
    //
    // Select the first console.
    //
    tty_console (DEV_CONSOLE0);
    //
    // Nothing else to configure (only consoles are available).
    //
    return;
}
