#include <unistd.h>
//----------------------------------------------------------------------
int
execl (const char *path, const char *arg, ...)
{
    int   argc;
    char *arg_next;
    char *argv[ARG_MAX/2];
    //
    va_list ap;
    va_start (ap, arg);
    //
    arg_next = arg;
    //    
    for (argc = 0; argc < ARG_MAX/2; argc++)
      {
	argv[argc] = arg_next;
	if (argv[argc] == NULL)
	  {
	    break;	// End of arguments.
	  }
	arg_next = va_arg (ap, char *);
      }
    //
    return (execve (path, argv, environ));	// [1]
}
//
// The variable `environ' is declared as `char **environ' and is
// included from <unistd.h>.
//