//----------------------------------------------------------------------
// 2009.05.26
// Modified by Daniele Giacomini to compile inside "os16".
//
// The original was taken form ELKS sources, but it comes previously
// form GNU sh-utils. It was adapted or rewritten for ELKS by Alistair
// Riddoch, ajr (ad) ecs.soton.ac.uk
//
//----------------------------------------------------------------------
//      This program is free software; you can redistribute it and/or
//      modify it under the terms of the GNU General Public License
//      as published by the Free Software Foundation; either version
//      2 of the License, or (at your option) any later version.
//----------------------------------------------------------------------

#include <unistd.h>
#include <string.h>
//----------------------------------------------------------------------
void
strip_trailing_slashes (char *path)
{
    int last;

    last = strlen (path) - 1;
    while (last > 0 && path[last] == '/')
      {
        path[last--] = '\0';
      }
}
//----------------------------------------------------------------------
int
main (int argc, char **argv)
{
    char *line;

    if (argc == 2)
      {
        strip_trailing_slashes(argv[1]);
        line = strrchr (argv[1], '/');
        if (line == NULL)
          {
            argv[1][0]='.';
            argv[1][1]=0;
          }
        else
          {
            while (line > argv[1] && *line == '/')
              {
                --line;
                line[1] = 0;
              }
          }
        write(STDOUT_FILENO,argv[1],strlen(argv[1]));
        write(STDOUT_FILENO,"\n",1);
      }
    return 0;
}
