#include <unistd.h>
#include <stdlib.h>
#include <sys/stat.h>
#include <sys/types.h>
#include <fcntl.h>
#include <errno.h>
#include <signal.h>
#include <stdio.h>
#include <sys/wait.h>
#include <stdio.h>
#include <string.h>
#include <limits.h>
#include <sys/os16.h>
//----------------------------------------------------------------------
static void usage (void);
//----------------------------------------------------------------------
int
main (int argc, char *argv[], char *envp[])
{
    int     options;
    int     status;
    //
    //
    //
    if (argc < 3 || argc > 4)
      {
        usage ();
        return (1);
      }
    //
    // Set options.
    //
    if (argc == 4)
      {
        if      (strcmp (argv[3], "rw") == 0)
          {
            options = MOUNT_DEFAULT;
          }
        else if (strcmp (argv[3], "ro") == 0)
          {
            options = MOUNT_RO;
          }
        else
          {
            printf ("Invalid mount option: only \"ro\" or \"rw\" "
                    "are allowed\n");
            return (2);
          }
      }
    else
      {
        options = MOUNT_DEFAULT;
      }
    //
    // System call.
    //
    status = mount (argv[1], argv[2], options);
    if (status != 0)
      {
        perror (NULL);
        return (2);
      }
    //
    return (0);
}
//----------------------------------------------------------------------
static void
usage (void)
{
    fprintf (stderr, "Usage: mount DEVICE MOUNT_POINT "
                     "[MOUNT_OPTIONS]\n");
}
