#include <sys/os16.h>
#include <kernel/diag.h>
#include <kernel/k_libc.h>
#include <fcntl.h>
//----------------------------------------------------------------------
void
print_fd (fd_t *fd)
{
    k_printf ("%04x %6li %3i %c/%c %05o %5i %3i %5li %4i %04x %3i",
        (unsigned int)      fd->fl_flags,
        (unsigned long int) fd->file->offset,
        (unsigned int)      fd->file->references,
        (fd->file->oflags & O_RDONLY ? 'r' : ' '),
        (fd->file->oflags & O_WRONLY ? 'w' : ' '),
        (unsigned int)      fd->file->inode->mode,
        (unsigned int)      fd->file->inode->uid,
        (unsigned int)      fd->file->inode->gid,
        (unsigned long int) fd->file->inode->size,
        (unsigned int)      fd->file->inode->links,
        (unsigned int)      fd->file->inode->sb->device,
        (unsigned int)      fd->file->inode->ino);
    k_printf ("\n");
}
