#include <kernel/ibm_i86.h>
#include <kernel/k_libc.h>
#include <sys/os16.h>
#include <sys/types.h>
#include <stdint.h>
//----------------------------------------------------------------------
void
dsk_sector_to_chs (int drive, unsigned int sector, dsk_chs_t *chs)
{
    unsigned int sectors_per_cylinder;
    sectors_per_cylinder = (dsk_table[drive].sectors
                            * dsk_table[drive].heads);
    chs->cylinder        = sector / sectors_per_cylinder;
    sector               = sector % sectors_per_cylinder;
    chs->head            = sector / dsk_table[drive].sectors;
    sector               = sector % dsk_table[drive].sectors;
    chs->sector          = sector + 1;
}
