.extern isr_1C
.extern isr_80
.global __ivt_load
;-----------------------------------------------------------------------
.text
;-----------------------------------------------------------------------
; Load IVT.
;
; Currently, only the timer function and the syscall are loaded.
;-----------------------------------------------------------------------
.align 2
__ivt_load:
    enter #0, #0                ; No local variables.
    pushf
    cli
    pusha
    ;
    mov   ax,   #0              ; Change the DS segment to 0.
    mov   ds,   ax              ;
    ;
    mov   bx,   #112            ; Timer         INT 0x08 (8) --> 0x1C
    mov   [bx], #isr_1C         ; offset
    mov   bx,   #114            ;
    mov   [bx], cs              ; segment
    ;
    mov   bx,   #512            ; Syscall       INT 0x80 (128)
    mov   [bx], #isr_80         ; offset
    mov   bx,   #514            ;
    mov   [bx], cs              ; segment
    ;
    mov   ax,   #0x0050         ; Put the DS segment back to the right
    mov   ds,   ax              ; value.
    ;
    ;
    ;
    popa
    popf
    leave
    ret
