#include <sys/os16.h>
#include <kernel/tty.h>
#include <kernel/k_libc.h>
//----------------------------------------------------------------------
int
tty_read (dev_t device)
{
    tty_t   *tty;
    int      key;
    //
    tty = tty_reference (device);
    if (tty == NULL)
      {
        k_printf ("kernel alert: cannot find terminal device "
                  "0x%04x!\n", (int) device);
        //
        return (0);
      }
    //
    // Read key and remove from the source.
    //
    key      = tty->key;
    tty->key = 0;
    //
    // Return the key.
    //
    return (key);

}
