;-----------------------------------------------------------------------
; BCC compiler helper functions
; (C) Copyright Bruce Evans
; Typesetting adaptations by Daniele Giacomini
;
; GNU LGPL license
;
; Support for integer arithmetic
;-----------------------------------------------------------------------
.global ltstl
.global ltstul
;-----------------------------------------------------------------------
.text
;-----------------------------------------------------------------------
; ltstl, ltstul don`t preserve bx
;-----------------------------------------------------------------------
.align 2
ltstl:
ltstul:
        test    bx,bx
        je      LTST_NOT_SURE
        ret

.align 2
LTST_NOT_SURE:
        test    ax,ax
        js      LTST_FIX_SIGN
        ret

.align 2
LTST_FIX_SIGN:
        inc     bx
        ret
